$(function(){
	var
		currentItemCost= parseInt($('.ingot .total-cost').data('cost')) || 0;
	
	//Обработка кнопок +/-
	$('.ingot .amount a').click(function(){

		var
			$input= $(this).parent().find('input'),
			count= parseInt($input.val());

		if(isNaN(count)){
			count= 1;
		}

		if($(this).hasClass('minus')){
			if(--count <=1){
				count= 1;
			}

			$input.val(count);
		}

		if($(this).hasClass('plus')){
			$input.val(++count);
		}
		
		$('.ingot .total-cost em').html(number_format(count*currentItemCost, 2));
		return false;
	});
	
	//Добавление товара в корзину и анимацмя
	$('.ingot .button.add').on('click', function()
	{
		img = $('.ingot .pic img');
		
		elem = img.clone();
		elem.appendTo('body').css('position', 'absolute').css('top', img.offset().top).css('left', img.offset().left).css('width', img.width());
		elem.animate({top: 0, left: $('#cart-summary-opener').offset().left, width: 109, opacity: 0}, 500, function()
		{
			$('#cart-summary-opener').addClass('droped');
			elem.remove();
		});
		
		bag
			.withAttr('type', 'ingot')
			.add(
				$(this).data('id'),
				parseInt($('.ingot .amount input').val())
			);
		
		return false;
	});
});